      SUBROUTINE GSPATF(I)
      INCLUDE 'Parametres.f'
c
      if (ipostscript.eq.1) then
        icoulfond = i
      elseif (ipostscript.ne.-1) then
        if (i.eq.0) then
          colfond(1) = 1.
          colfond(2) = 1.
          colfond(3) = 1.
        else
          colfond(1) = table_rouge(i)
          colfond(2) = table_vert (i)
          colfond(3) = table_bleu (i)
        endif
      endif
      end
